<?
define('PROTECTOR', 1);

$headmod = 'shop';//фикс. места

$textl='Магазин';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
ryd();
place_okr();
place_tower();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

switch($_GET[mod]){

default:
echo"<a href=\"shop.php?mod=weapon\">Магазин оружия</a><br/>";
echo"<a href=\"shop.php?mod=b\">Магазин брони</a><br/>$div";
echo'<a href="javascript:history.go(-1)">Назад</a>';
break;

case 'b':
if(empty($_GET[o])){
echo"<a href=\"shop.php?mod=b&amp;o=shit\">Щиты</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=golova\">Шлемы</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=body\">Доспехи</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=poyas\">Пояса</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=plash\">Плащи</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=ruki\">Рукавицы</a><br/>";
echo"<a href=\"shop.php?mod=b&amp;o=nogi\">Сапоги</a><br/>";
echo"$div<a href=\"shop.php?\">Назад</a>";
}else{
if($_GET[o]!=shit && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=poyas && $_GET[o]!=plash && $_GET[o]!=ruki && $_GET[o]!=nogi){
echo'Ошибка!';
@include('files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='$_GET[o]' ORDER BY nlvl");
////////////////////////////
$avto=mysql_num_rows($req);
While($mag = mysql_fetch_array($req)){
echo"<a href=\"shop.php?mod=info&amp;id=$mag[id]\">$mag[name]</a>"; 
if($udata[prava]>=4){echo"<a href=\"adm_panel.php?mod=14&id=$mag[id]\"> [ред]</a></br>";}
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] <img src='pic/pers/center.png' alt='*'/>$mag[pgolova]/$mag[pbody]/$mag[pnogi] <img src='pic/bazar.gif' alt='*'/>$mag[cena] 
[<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]$div";}
echo"<a href=\"shop.php?mod=b\">Назад</a>";}
break;

case 'weapon':
echo"Отдел оружия$div";
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='weapon' ORDER BY nlvl");
////////////////////////////
$avto=mysql_num_rows($req);

While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shop.php?mod=info&amp;id=$mag[id]\">$mag[name]</a>"; 
if($udata[prava]>=4){echo"<a href=\"adm_panel.php?mod=14&id=$mag[id]\"> [ред]</a></br>";}
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] <img src='pic/pers/udar.png' alt='*'/>$mag[umin]/$mag[umax] <img src='pic/bazar.gif' alt='*'/>$mag[cena] 
[<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]$div";}
echo"<a href=\"shop.php?mod=w\">Назад</a>";
break;

case 'uvilir':
echo"<a href=\"shop.php?mod=mag&o=amulet\">Амулеты</a><br/>";
echo"<a href=\"shop.php?mod=mag&o=kolco\">Кольца</a>";
break;

case 'mag':
if($_GET[o]!=amulet && $_GET[o]!=kolco){
echo'Ошибка!';
@include('files/down.php');
exit;}
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `tip`='$_GET[o]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shop.php?mod=info&id=$mag[id]\">$mag[name]</a> (<img src='pic/up.png' alt='*'/>$mag[nlvl] <img src='pic/bazar.gif' alt='*'/>$mag[cena]) [<a href=\"sell.php?act=ask&amp;id=$mag[id]\">купить</a>]<br/>";}}else{
echo"<b>Нет вещей</b><br/>";}
echo"<a href=\"shop.php?\">Назад</a>";
break;

case 'info':
$req = mysql_query("SELECT * FROM `shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include('files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Пояс';
break;
case 'plash':
$tip='Плащ';
break;
case 'amulet':
$tip='Амулет';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'ruki':
$tip='Рукавицы';
break;}
switch($mag[klas]){
case 'not':
$klas='Все';
break;

case 'wizard':
$klas='Маг';
break;
case 'fighert':
$klas='Воин';
break;}

echo"<font color='#ffc22b'><b>$mag[name]</b></font><br/>
Тип: <b>$tip<br/></b>";
if(!empty($mag[umax])){echo"Урон: <b>$mag[umin]/$mag[umax]<br/></b>";}
if(!empty($mag[pgolova])){echo"Защита головы: <b>$mag[pgolova]<br/></b>";}
if(!empty($mag[pbody])){echo"Защита тела: <b>$mag[pbody]<br/></b>";}
if(!empty($mag[pnogi])){echo"Защита ног: <b>$mag[pnogi]<br/></b>";}
echo"<font color='#ffc22b'><b>Бонусы:</b></font><br/>";
if(!empty($mag[hp])){echo"Жизнь: <b>$mag[hp]<br/></b>";}
if(!empty($mag[mp])){echo"Мана: <b>$mag[mp]<br/></b>";}
if(!empty($mag[sila])){echo"Сила: <b>$mag[sila]<br/></b>";}
if(!empty($mag[lovk])){echo"Ловкость: <b>$mag[lovk]<br/></b>";}
if(!empty($mag[um])){echo"Интелект: <b>$mag[um]<br/></b>";}
if(!empty($mag[prot])){echo"Физ. защита: <b>$mag[prot]<br/></b>";}
if(!empty($mag[krit])){echo"Крит: <b>$mag[krit]%<br/></b>";}
if(!empty($mag[ukrit])){echo"Крит-урон: <b>$mag[ukrit]%<br/></b>";}
if(!empty($mag[antikrit])){echo"Анти-крит: <b>$mag[antikrit]%<br/></b>";}
echo"<font color='#ffc22b'><b>Требования:</b></font><br/>
Класс: $klas<br/>";
if(!empty($mag[nsila])){echo"Сила: $mag[nsila]<br/>";}
if(!empty($mag[nlovk])){echo"Ловкость: $mag[nlovk]<br/>";}
if(!empty($mag[num])){echo"Интелект: $mag[num]<br/>";}
if(!empty($mag[nlvl])){echo"Уровень: $mag[nlvl]<br/>";}

echo'<a href="javascript:history.go(-1)">Назад</a>';
break;
}
include('files/down.php');
?>